package mytag;

import javax.servlet.jsp.tagext.TagData;
import javax.servlet.jsp.tagext.TagExtraInfo;
import javax.servlet.jsp.tagext.VariableInfo;

public class IterInfo extends TagExtraInfo
{
    public VariableInfo[] getVariableInfo(TagData arg0)
    {
       VariableInfo info=new VariableInfo
       (
           arg0.getAttributeString("name"),
           arg0.getAttributeString("type"),
           true,
           VariableInfo.NESTED
       );
       VariableInfo[] infos={info};
       return infos;
    }
}
